package com.brilliance.isc.bo.model;

import com.brilliance.isc.bo.Smh;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * Basic Functions for Business Transactions
 */
@JsonIgnoreProperties(ignoreUnknown = true)
@Data
public class Ersmap extends AbstractCommonVo {
    private static Logger log = LoggerFactory.getLogger(Ersmap.class);

    private Smh wrksmh;

    @Override
    public void reset() {
        super.reset();
        if (wrksmh == null) {
            wrksmh = new Smh();
        }
    }
}